Debian DSA-3871-1 : zookeeper - security update

2017-06-02T00:00:00
ID DEBIAN_DSA-3871.NASL
Type nessus
Reporter This script is Copyright (C) 2017-2018 and is owned by Tenable, Inc. or an Affiliate thereof.
Modified 2020-09-02T00:00:00

Description

It was discovered that Zookeeper, a service for maintaining configuration information, didn't restrict access to the computationally expensive wchp/wchc commands which could result in denial of service by elevated CPU consumption.

This update disables those two commands by default. The new configuration option '4lw.commands.whitelist' can be used to whitelist commands selectively (and the full set of commands can be restored with '*')

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were  
# extracted from Debian Security Advisory DSA-3871. The text 
# itself is copyright (C) Software in the Public Interest, Inc.
#

include("compat.inc");

if (description)
{
  script_id(100579);
  script_version("3.8");
  script_cvs_date("Date: 2018/11/10 11:49:38");

  script_cve_id("CVE-2017-5637");
  script_xref(name:"DSA", value:"3871");

  script_name(english:"Debian DSA-3871-1 : zookeeper - security update");
  script_summary(english:"Checks dpkg output for the updated package");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote Debian host is missing a security-related update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"It was discovered that Zookeeper, a service for maintaining
configuration information, didn't restrict access to the
computationally expensive wchp/wchc commands which could result in
denial of service by elevated CPU consumption.

This update disables those two commands by default. The new
configuration option '4lw.commands.whitelist' can be used to whitelist
commands selectively (and the full set of commands can be restored
with '*')"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://packages.debian.org/source/jessie/zookeeper"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://www.debian.org/security/2017/dsa-3871"
  );
  script_set_attribute(
    attribute:"solution", 
    value:
"Upgrade the zookeeper packages.

For the stable distribution (jessie), this problem has been fixed in
version 3.4.5+dfsg-2+deb8u2."
  );
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P");
  script_set_cvss_temporal_vector("CVSS2#E:POC/RL:OF/RC:C");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H");
  script_set_cvss3_temporal_vector("CVSS:3.0/E:P/RL:O/RC:C");
  script_set_attribute(attribute:"exploitability_ease", value:"Exploits are available");
  script_set_attribute(attribute:"exploit_available", value:"true");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:debian:debian_linux:zookeeper");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:debian:debian_linux:8.0");

  script_set_attribute(attribute:"patch_publication_date", value:"2017/06/01");
  script_set_attribute(attribute:"plugin_publication_date", value:"2017/06/02");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2017-2018 and is owned by Tenable, Inc. or an Affiliate thereof.");
  script_family(english:"Debian Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/Debian/release", "Host/Debian/dpkg-l");

  exit(0);
}


include("audit.inc");
include("debian_package.inc");


if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
if (!get_kb_item("Host/Debian/release")) audit(AUDIT_OS_NOT, "Debian");
if (!get_kb_item("Host/Debian/dpkg-l")) audit(AUDIT_PACKAGE_LIST_MISSING);


flag = 0;
if (deb_check(release:"8.0", prefix:"libzookeeper-java", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper-java-doc", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper-mt-dev", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper-mt2", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper-st-dev", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper-st2", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"libzookeeper2", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"python-zookeeper", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"zookeeper", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"zookeeper-bin", reference:"3.4.5+dfsg-2+deb8u2")) flag++;
if (deb_check(release:"8.0", prefix:"zookeeperd", reference:"3.4.5+dfsg-2+deb8u2")) flag++;

if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:deb_report_get());
  else security_warning(0);
  exit(0);
}
else audit(AUDIT_HOST_NOT, "affected");